Flags API reference

Flags API · Settings

get/v1/workspaces/{workspace_id}/settings/{setting_id}/values/{environment_id}/confidentialAuth

Reveal confidential values

The cleartext of this value's confidential lists, decrypted. Needs `flags.confidential.read` on the environment and the setting; every call is recorded in the history (`confidential.revealed`). Never cached.

Path parameters

setting_id*string · uuid

Id of the setting.

environment_id*string · uuid

Id of an environment of the same project.

workspace_id*string · uuid

Id of the workspace.

Response · 200 The confidential lists, in rule and condition order.

data*array

Every confidential list, in rule and condition order.

Example

Request

GET https://api.flags.productcraft.co/v1/workspaces/{workspace_id}/settings/{setting_id}/values/{environment_id}/confidential
Authorization: Bearer YOUR_TOKEN

Response

{
  "data": [
    {
      "rule_index": 0,
      "condition_index": 0,
      "attribute": "email",
      "comparator": "ends_with_any_hashed",
      "list_id": "00000000-0000-0000-0000-000000000000",
      "values": [
        "@acme.test"
      ],
      "revealable": true
    }
  ]
}